import numpy as np
import cv2 as cv

img = cv.imread('messi.jpg')

# 你可以在此填写图像的 X、Y 坐标，获得该图像的 BGR 数据，如果是灰度图像，只返回该灰度的数值。
px = img[100,100]
print('获取X100，Y100坐标的 BGR 数值',px)

# 只访问蓝色的数值
blue = img[100,100,0]
print('获取X100,Y100坐标的蓝色数值',blue)

# 可以使用相同的方式修改像素值
img[100,100] = [255,255,255]
print('获取X100，Y100坐标已修改的 BGR 数值',img[100,100])

# 使用以上方式进行像素值修改，性能非常缓慢，并不鼓励这样做，更好的像素访问与修改的方法如下：
# 访问 Red 值（B=0，G=1，R=2）
fast_px = img.item(200,200,2)
print('更快的获取X200,Y200坐标的 BGR 数值',fast_px)

# 修改 Red 值
img.itemset((200,200,2), 100)
print('获取已修改的X200,Y200坐标的 Red 数值',img.item(200,200,2))